Un petit souci mineur que j'ai toujours rencontré avec la commande @\AMCopen{}@.

L'espacement entre les cases de la zone de notation des questions ouvertes n'est pas le même selon que le 
document est :
* compilé séparément depuis mon éditeur latex
* généré avec _Auto Multiple Choice_

L'espacement entre les cases à cocher est plus grand dans le second cas. Cela peut occasionner rarement 
quelques petites surprises une fois les sujets imprimés (texte masqué)... Surtout si on s'amuse comme moi à 
faire remonter la zone de réponse/notation avec un espace vertical négatif !

Voici une comparaison en pièce jointe pour vous faire une idée.

!Comparaison.jpg!

J'utilise _AMC 1.4.0beta1_ installé sous _Fedora 28_.
Peut-être que quelque chose m'a échappé, mais je ne vois pas d'où pourrait venir ce décalage.

History
09/26/2018 06:11 pm - Alexis Bienvenüe
- Status changed from New to Feedback

C'est bien le même fichier @automultiplechoice.sty@ qui est utilisé dans les deux cas ?
Note : pour éviter toute déconvenue, il faut toujours imprimer le fichier produit par AMC, après avoir détecté les mises en page et les avoir vérifiées. 
Ou, encore mieux, imprimer depuis AMC.

09/26/2018 06:25 pm - Rémi G.
> C'est bien le même fichier automultiplechoice.sty qui est utilisé dans les deux cas ?

Je suppose, l'installation du sysème est récente (moins d'un mois), et je n'ai procédé qu'à une installation.
Comment puis-je vérifier ?

> Note : pour éviter toute déconvenue, il faut toujours imprimer le fichier produit par AMC, après avoir détecté les mises en page et les avoir vérifiées. 
Ou, encore mieux, imprimer depuis AMC.

Je n'ai pas eu de soucis jusqu'à ce jour à part quelques mots manquants, AMC est vraiment très fiable !

09/26/2018 06:31 pm - Rémi G.
Je viens de trouver la version dans le fichier @.log@ généré à la compilation :

1) Depuis mon éditeur

<pre>
(/usr/share/texmf/tex/latex/AMC/automultiplechoice.sty

05/17/2025 1/3



AMC version: 2018/05/02 v1.4.0beta1 r:3e19f40
Package: automultiplechoice 2018/05/02 v1.4.0beta1 r:3e19f40
</pre>

2) Depuis AMC (@amc-compiled.log@)

<pre>
(/usr/share/texmf/tex/latex/AMC/automultiplechoice.sty
AMC version: 2018/05/02 v1.4.0beta1 r:3e19f40
Package: automultiplechoice 2018/05/02 v1.4.0beta1 r:3e19f40
</pre>

Tout semble identique à première vue donc.

09/26/2018 06:52 pm - Alexis Bienvenüe
C'est bien le même moteur LaTeX qui est utilisé dans les deux cas (@pdflatex@) ?

09/26/2018 07:50 pm - Rémi G.
Oui, AMC utilise @pdflatex@ et LaTeXila aussi :
<pre>
pdflatex -interaction=nonstopmode -synctex=1 $filename
</pre>

10/10/2018 04:28 pm - Rémi G.
- File ResultatDifferent.tex added

- File MemeResultat.tex added

J'ai fait l'observation suivante :

* *Avec le signe @%@* à la fin des lignes, le résultat est le même à la compilation depuis AMC : 
<pre>
  \AMCOpen{lineup=true, dots=false}{
      \mauvaise{0}  \bareme{0}%
      \mauvaise{1}  \bareme{1}%
      \mauvaise{2}  \bareme{2}%
      \bonne{3}     \bareme{3}%
  }%
</pre>

* *Sans le signes @%@*, les cases sont plus espacées si la compilation se fait depuis AMC :
<pre>
  \AMCOpen{lineup=true, dots=false}{
      \mauvaise{0}  \bareme{0}
      \mauvaise{1}  \bareme{1}
      \mauvaise{2}  \bareme{2}
      \bonne{3}     \bareme{3}
  }%
</pre>

Mon problème est donc résolu puisque le rendu est désormais le même. Après je n'ai pas trouvé d'explication à cette différence. Je vous laisse deux 
fichiers pour que vous puissiez tester.
10/12/2018 12:43 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Merci pour votre retour !
